Pular para o conteúdo

/api/v1/tiers/{id} (PATCH)

PATCH
/api/v1/tiers/{id}
curl --request PATCH \
--url https://api.endless.zaia.app/api/v1/tiers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "maxAssistantMessages": 1, "name": "example", "prompt": "example" }'

Updates a tier.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
description

A description of the tier.

string
>= 3 characters <= 250 characters
maxAssistantMessages

The maximum number of assistant messages allowed for this tier.

integer
nullable
name

The name of the tier.

string
>= 3 characters <= 50 characters
prompt

The prompt associated with the tier to be injected into the agent.

string
nullable >= 3 characters <= 500 characters
Examplegenerated
{
"description": "example",
"maxAssistantMessages": 1,
"name": "example",
"prompt": "example"
}

The tier was updated.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
description
required

A description of the tier.

string
>= 3 characters <= 250 characters
maxAssistantMessages
required

The maximum number of assistant messages allowed for this tier.

integer
nullable
name
required

The name of the tier.

string
>= 3 characters <= 50 characters
prompt
required

The prompt associated with the tier to be injected into the agent.

string
nullable >= 3 characters <= 500 characters
workspaceId
required

The ID of the workspace this tier belongs to.

string format: uuid
Examplegenerated
{
"createdAt": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"updatedAt": "2026-04-15T12:00:00Z",
"description": "example",
"maxAssistantMessages": 1,
"name": "example",
"prompt": "example",
"workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Tier not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Tier name already exists in this workspace.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}